<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.xxfc.common</groupId>
        <artifactId>xx-common-platform</artifactId>
        <version>2.0-SNAPSHOT</version>
        <relativePath>../../xx-common/xx-common-platform/pom.xml</relativePath>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <groupId>com.xxfc.platform</groupId>
    <artifactId>xx-im-api</artifactId>
        <dependencies>
            <dependency>
                <groupId>com.github.wxiaoqi</groupId>
                <artifactId>ace-admin-api</artifactId>
                <version>2.0-SNAPSHOT</version>
            </dependency>
            <!--引入开源后台项目的公共包-->
            <dependency>
                <groupId>com.github.wxiaoqi</groupId>
                <artifactId>ace-auth-client</artifactId>
                <version>2.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.xxfc.platform</groupId>
                <artifactId>xx-universal-api</artifactId>
                <version>2.0-SNAPSHOT</version>
                <scope>compile</scope>
            </dependency>
            <!-- 自己项目 -->


            <!--mongodb-->
            <dependency>
                <groupId>org.mongodb.morphia</groupId>
                <artifactId>morphia</artifactId>
                <version>1.3.2</version>
            </dependency>

            <dependency>
                <groupId>org.apache.lucene</groupId>
                <artifactId>lucene-core</artifactId>
                <version>7.1.0</version>
                <scope>compile</scope>
            </dependency>
            <dependency>
                <groupId>com.aliyun.oss</groupId>
                <artifactId>aliyun-sdk-oss</artifactId>
            </dependency>
            <dependency>
                <groupId>com.aliyun.oss</groupId>
                <artifactId>aliyun-sdk-oss</artifactId>
            </dependency>
            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-all</artifactId>
                <version>4.1.14</version>
            </dependency>
            <dependency>
                <groupId>commons-beanutils</groupId>
                <artifactId>commons-beanutils</artifactId>
                <version>1.9.3</version>
                <scope>compile</scope>
            </dependency>
        </dependencies>
</project>